IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:8100::/24- First address
2002:8100::- Last address
2002:81ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:8100:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
1.8.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:8100::/24 makes 4,096 subnets of /36; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:8100::/36 | 2002:8100:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:8100:1000::/36 | 2002:8100:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:8100:2000::/36 | 2002:8100:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:8100:3000::/36 | 2002:8100:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:8100:4000::/36 | 2002:8100:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:8100:5000::/36 | 2002:8100:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:8100:6000::/36 | 2002:8100:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:8100:7000::/36 | 2002:8100:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:8100:8000::/36 | 2002:8100:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:8100:9000::/36 | 2002:8100:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:8100:a000::/36 | 2002:8100:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:8100:b000::/36 | 2002:8100:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:8100:c000::/36 | 2002:8100:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:8100:d000::/36 | 2002:8100:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:8100:e000::/36 | 2002:8100:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:8100:f000::/36 | 2002:8100:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:8101::/36 | 2002:8101:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:8101:1000::/36 | 2002:8101:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:8101:2000::/36 | 2002:8101:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:8101:3000::/36 | 2002:8101:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:8101:4000::/36 | 2002:8101:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:8101:5000::/36 | 2002:8101:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:8101:6000::/36 | 2002:8101:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:8101:7000::/36 | 2002:8101:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:8101:8000::/36 | 2002:8101:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:8101:9000::/36 | 2002:8101:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:8101:a000::/36 | 2002:8101:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:8101:b000::/36 | 2002:8101:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:8101:c000::/36 | 2002:8101:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:8101:d000::/36 | 2002:8101:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:8101:e000::/36 | 2002:8101:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:8101:f000::/36 | 2002:8101:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:8102::/36 | 2002:8102:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:8102:1000::/36 | 2002:8102:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:8102:2000::/36 | 2002:8102:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:8102:3000::/36 | 2002:8102:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:8102:4000::/36 | 2002:8102:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:8102:5000::/36 | 2002:8102:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:8102:6000::/36 | 2002:8102:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:8102:7000::/36 | 2002:8102:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:8102:8000::/36 | 2002:8102:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:8102:9000::/36 | 2002:8102:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:8102:a000::/36 | 2002:8102:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:8102:b000::/36 | 2002:8102:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:8102:c000::/36 | 2002:8102:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:8102:d000::/36 | 2002:8102:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:8102:e000::/36 | 2002:8102:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:8102:f000::/36 | 2002:8102:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:8103::/36 | 2002:8103:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:8103:1000::/36 | 2002:8103:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:8103:2000::/36 | 2002:8103:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:8103:3000::/36 | 2002:8103:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:8103:4000::/36 | 2002:8103:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:8103:5000::/36 | 2002:8103:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:8103:6000::/36 | 2002:8103:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:8103:7000::/36 | 2002:8103:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:8103:8000::/36 | 2002:8103:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:8103:9000::/36 | 2002:8103:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:8103:a000::/36 | 2002:8103:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:8103:b000::/36 | 2002:8103:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:8103:c000::/36 | 2002:8103:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:8103:d000::/36 | 2002:8103:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:8103:e000::/36 | 2002:8103:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:8103:f000::/36 | 2002:8103:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:8104::/36 | 2002:8104:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:8104:1000::/36 | 2002:8104:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:8104:2000::/36 | 2002:8104:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:8104:3000::/36 | 2002:8104:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:8104:4000::/36 | 2002:8104:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:8104:5000::/36 | 2002:8104:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:8104:6000::/36 | 2002:8104:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:8104:7000::/36 | 2002:8104:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:8104:8000::/36 | 2002:8104:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:8104:9000::/36 | 2002:8104:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:8104:a000::/36 | 2002:8104:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:8104:b000::/36 | 2002:8104:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:8104:c000::/36 | 2002:8104:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:8104:d000::/36 | 2002:8104:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:8104:e000::/36 | 2002:8104:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:8104:f000::/36 | 2002:8104:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:8105::/36 | 2002:8105:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:8105:1000::/36 | 2002:8105:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:8105:2000::/36 | 2002:8105:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:8105:3000::/36 | 2002:8105:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:8105:4000::/36 | 2002:8105:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:8105:5000::/36 | 2002:8105:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:8105:6000::/36 | 2002:8105:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:8105:7000::/36 | 2002:8105:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:8105:8000::/36 | 2002:8105:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:8105:9000::/36 | 2002:8105:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:8105:a000::/36 | 2002:8105:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:8105:b000::/36 | 2002:8105:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:8105:c000::/36 | 2002:8105:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:8105:d000::/36 | 2002:8105:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:8105:e000::/36 | 2002:8105:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:8105:f000::/36 | 2002:8105:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:8106::/36 | 2002:8106:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:8106:1000::/36 | 2002:8106:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:8106:2000::/36 | 2002:8106:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:8106:3000::/36 | 2002:8106:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:8106:4000::/36 | 2002:8106:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:8106:5000::/36 | 2002:8106:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:8106:6000::/36 | 2002:8106:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:8106:7000::/36 | 2002:8106:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:8106:8000::/36 | 2002:8106:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:8106:9000::/36 | 2002:8106:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:8106:a000::/36 | 2002:8106:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:8106:b000::/36 | 2002:8106:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:8106:c000::/36 | 2002:8106:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:8106:d000::/36 | 2002:8106:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:8106:e000::/36 | 2002:8106:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:8106:f000::/36 | 2002:8106:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:8107::/36 | 2002:8107:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:8107:1000::/36 | 2002:8107:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:8107:2000::/36 | 2002:8107:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:8107:3000::/36 | 2002:8107:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:8107:4000::/36 | 2002:8107:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:8107:5000::/36 | 2002:8107:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:8107:6000::/36 | 2002:8107:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:8107:7000::/36 | 2002:8107:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:8107:8000::/36 | 2002:8107:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:8107:9000::/36 | 2002:8107:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:8107:a000::/36 | 2002:8107:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:8107:b000::/36 | 2002:8107:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:8107:c000::/36 | 2002:8107:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:8107:d000::/36 | 2002:8107:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:8107:e000::/36 | 2002:8107:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:8107:f000::/36 | 2002:8107:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:8108::/36 | 2002:8108:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:8108:1000::/36 | 2002:8108:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:8108:2000::/36 | 2002:8108:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:8108:3000::/36 | 2002:8108:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:8108:4000::/36 | 2002:8108:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:8108:5000::/36 | 2002:8108:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:8108:6000::/36 | 2002:8108:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:8108:7000::/36 | 2002:8108:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:8108:8000::/36 | 2002:8108:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:8108:9000::/36 | 2002:8108:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:8108:a000::/36 | 2002:8108:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:8108:b000::/36 | 2002:8108:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:8108:c000::/36 | 2002:8108:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:8108:d000::/36 | 2002:8108:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:8108:e000::/36 | 2002:8108:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:8108:f000::/36 | 2002:8108:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:8109::/36 | 2002:8109:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:8109:1000::/36 | 2002:8109:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:8109:2000::/36 | 2002:8109:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:8109:3000::/36 | 2002:8109:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:8109:4000::/36 | 2002:8109:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:8109:5000::/36 | 2002:8109:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:8109:6000::/36 | 2002:8109:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:8109:7000::/36 | 2002:8109:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:8109:8000::/36 | 2002:8109:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:8109:9000::/36 | 2002:8109:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:8109:a000::/36 | 2002:8109:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:8109:b000::/36 | 2002:8109:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:8109:c000::/36 | 2002:8109:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:8109:d000::/36 | 2002:8109:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:8109:e000::/36 | 2002:8109:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:8109:f000::/36 | 2002:8109:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:810a::/36 | 2002:810a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:810a:1000::/36 | 2002:810a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:810a:2000::/36 | 2002:810a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:810a:3000::/36 | 2002:810a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:810a:4000::/36 | 2002:810a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:810a:5000::/36 | 2002:810a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:810a:6000::/36 | 2002:810a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:810a:7000::/36 | 2002:810a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:810a:8000::/36 | 2002:810a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:810a:9000::/36 | 2002:810a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:810a:a000::/36 | 2002:810a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:810a:b000::/36 | 2002:810a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:810a:c000::/36 | 2002:810a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:810a:d000::/36 | 2002:810a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:810a:e000::/36 | 2002:810a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:810a:f000::/36 | 2002:810a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:810b::/36 | 2002:810b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:810b:1000::/36 | 2002:810b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:810b:2000::/36 | 2002:810b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:810b:3000::/36 | 2002:810b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:810b:4000::/36 | 2002:810b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:810b:5000::/36 | 2002:810b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:810b:6000::/36 | 2002:810b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:810b:7000::/36 | 2002:810b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:810b:8000::/36 | 2002:810b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:810b:9000::/36 | 2002:810b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:810b:a000::/36 | 2002:810b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:810b:b000::/36 | 2002:810b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:810b:c000::/36 | 2002:810b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:810b:d000::/36 | 2002:810b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:810b:e000::/36 | 2002:810b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:810b:f000::/36 | 2002:810b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:810c::/36 | 2002:810c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:810c:1000::/36 | 2002:810c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:810c:2000::/36 | 2002:810c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:810c:3000::/36 | 2002:810c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:810c:4000::/36 | 2002:810c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:810c:5000::/36 | 2002:810c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:810c:6000::/36 | 2002:810c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:810c:7000::/36 | 2002:810c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:810c:8000::/36 | 2002:810c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:810c:9000::/36 | 2002:810c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:810c:a000::/36 | 2002:810c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:810c:b000::/36 | 2002:810c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:810c:c000::/36 | 2002:810c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:810c:d000::/36 | 2002:810c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:810c:e000::/36 | 2002:810c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:810c:f000::/36 | 2002:810c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:810d::/36 | 2002:810d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:810d:1000::/36 | 2002:810d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:810d:2000::/36 | 2002:810d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:810d:3000::/36 | 2002:810d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:810d:4000::/36 | 2002:810d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:810d:5000::/36 | 2002:810d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:810d:6000::/36 | 2002:810d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:810d:7000::/36 | 2002:810d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:810d:8000::/36 | 2002:810d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:810d:9000::/36 | 2002:810d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:810d:a000::/36 | 2002:810d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:810d:b000::/36 | 2002:810d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:810d:c000::/36 | 2002:810d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:810d:d000::/36 | 2002:810d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:810d:e000::/36 | 2002:810d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:810d:f000::/36 | 2002:810d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:810e::/36 | 2002:810e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:810e:1000::/36 | 2002:810e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:810e:2000::/36 | 2002:810e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:810e:3000::/36 | 2002:810e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:810e:4000::/36 | 2002:810e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:810e:5000::/36 | 2002:810e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:810e:6000::/36 | 2002:810e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:810e:7000::/36 | 2002:810e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:810e:8000::/36 | 2002:810e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:810e:9000::/36 | 2002:810e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:810e:a000::/36 | 2002:810e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:810e:b000::/36 | 2002:810e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:810e:c000::/36 | 2002:810e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:810e:d000::/36 | 2002:810e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:810e:e000::/36 | 2002:810e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:810e:f000::/36 | 2002:810e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:810f::/36 | 2002:810f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:810f:1000::/36 | 2002:810f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:810f:2000::/36 | 2002:810f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:810f:3000::/36 | 2002:810f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:810f:4000::/36 | 2002:810f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:810f:5000::/36 | 2002:810f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:810f:6000::/36 | 2002:810f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:810f:7000::/36 | 2002:810f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:810f:8000::/36 | 2002:810f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:810f:9000::/36 | 2002:810f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:810f:a000::/36 | 2002:810f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:810f:b000::/36 | 2002:810f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:810f:c000::/36 | 2002:810f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:810f:d000::/36 | 2002:810f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:810f:e000::/36 | 2002:810f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:810f:f000::/36 | 2002:810f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |